Update Plan

Update a subscription plan

Authentication

Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Path parameters

planIdstringRequired
  • can be the id or the plan code

Request

This endpoint expects an object.
namestringOptional
codestringOptional
intervalenumOptional
durationintegerOptional>=1
amountobjectOptional
descriptionstringOptional
transactionstringOptional
settlementChainenumOptional
activebooleanOptional
merchantInitiatedbooleanOptional
Only specify this as true if you do not want subscription payments automatically processed. Then you will be responsible for manually calling the merchant initiated transaction endpoint.

Response

Ok
idstring
namestring
codestring
intervalenum
amountobject
activeboolean
durationinteger>=1
descriptionstring
transactionstring
settlementChainenum
merchantInitiatedboolean
Only specify this as true if you do not want subscription payments automatically processed. Then you will be responsible for manually calling the merchant initiated transaction endpoint.